Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgGA::AnimationPathManipulator Class Reference

Inheritance diagram for osgGA::AnimationPathManipulator:

[legend]
List of all members.

## Public Member Functions
| AnimationPathManipulator (osg::AnimationPath *animationPath=0)
| AnimationPathManipulator (const std::string &filename)
virtual const char * | className () const
| return the name of the object's class type.
void | setPrintOutTimingInfo (bool printOutTiminInfo)
bool | getPrintOutTimingInfo () const
virtual void | setByMatrix (const osg::Matrixd &matrix)
| set the position of the matrix manipulator using a 4x4 Matrix.
virtual void | setByInverseMatrix (const osg::Matrixd &matrix)
| set the position of the matrix manipulator using a 4x4 Matrix.
virtual osg::Matrixd | getMatrix () const
| get the position of the manipulator as 4x4 Matrix.
virtual osg::Matrixd | getInverseMatrix () const
| get the position of the manipulator as a inverse matrix of the manipulator, typically used as a model view matrix.
void | setAnimationPath (osg::AnimationPath *animationPath)
osg::AnimationPath * | getAnimationPath ()
const osg::AnimationPath * | getAnimationPath () const
bool | valid () const
void | init (const GUIEventAdapter &ea, GUIActionAdapter &us)
| Start/restart the manipulator.
void | home (const GUIEventAdapter &ea, GUIActionAdapter &us)
| Move the camera to the default position.
void | home (double currentTime)
| Move the camera to the default position.
virtual bool | handle (const GUIEventAdapter &ea, GUIActionAdapter &us)
| Handle events, return true if handled, false otherwise.
virtual void | getUsage (osg::ApplicationUsage &usage) const
| Get the keyboard and mouse usage of this manipulator.
## Protected Member Functions
void | handleFrame (double time)
## Protected Attributes
bool | _valid
bool | _printOutTiminInfo
osg::ref_ptr< osg::AnimationPath > | _animationPath
double | _timeOffset
double | _timeScale
double | _pauseTime
bool | _isPaused
double | _realStartOfTimedPeriod
double | _animStartOfTimedPeriod
int | _numOfFramesSinceStartOfTimedPeriod
osg::Matrixd | _matrix

## Constructor & Destructor Documentation

osgGA::AnimationPathManipulator::AnimationPathManipulator | ( | osg::AnimationPath * | animationPath = 0 | ) |

osgGA::AnimationPathManipulator::AnimationPathManipulator | ( | const std::string & | filename | ) |

## Member Function Documentation

virtual const char* osgGA::AnimationPathManipulator::className | ( |  | ) | const`[inline, virtual]`

| return the name of the object's class type. Must be defined by derived classes. Reimplemented from osgGA::MatrixManipulator.

const osg::AnimationPath* osgGA::AnimationPathManipulator::getAnimationPath | ( |  | ) | const`[inline]`

osg::AnimationPath* osgGA::AnimationPathManipulator::getAnimationPath | ( |  | ) | `[inline]`

virtual osg::Matrixd osgGA::AnimationPathManipulator::getInverseMatrix | ( |  | ) | const`[inline, virtual]`

| get the position of the manipulator as a inverse matrix of the manipulator, typically used as a model view matrix. Implements osgGA::MatrixManipulator.

virtual osg::Matrixd osgGA::AnimationPathManipulator::getMatrix | ( |  | ) | const`[inline, virtual]`

| get the position of the manipulator as 4x4 Matrix. Implements osgGA::MatrixManipulator.

bool osgGA::AnimationPathManipulator::getPrintOutTimingInfo | ( |  | ) | const`[inline]`

virtual void osgGA::AnimationPathManipulator::getUsage | ( | osg::ApplicationUsage & | usage | ) | const`[virtual]`

| Get the keyboard and mouse usage of this manipulator. Reimplemented from osgGA::GUIEventHandler.

virtual bool osgGA::AnimationPathManipulator::handle | ( | const GUIEventAdapter & | ea,
|  | GUIActionAdapter & | us
| ) | `[virtual]`

| Handle events, return true if handled, false otherwise. Reimplemented from osgGA::MatrixManipulator.

void osgGA::AnimationPathManipulator::handleFrame | ( | double | time | ) | `[protected]`

void osgGA::AnimationPathManipulator::home | ( | double | currentTime | ) | `[virtual]`

| Move the camera to the default position. This version does not require GUIEventAdapter and GUIActionAdapter so may be called from somewhere other than a handle() method in GUIEventHandler. Application must be aware of implications. Reimplemented from osgGA::MatrixManipulator.

void osgGA::AnimationPathManipulator::home | ( | const GUIEventAdapter & | ea,
|  | GUIActionAdapter & | us
| ) | `[virtual]`

| Move the camera to the default position. May be ignored by manipulators if home functionality is not appropriate. Reimplemented from osgGA::MatrixManipulator.

void osgGA::AnimationPathManipulator::init | ( | const GUIEventAdapter & | ea,
|  | GUIActionAdapter & | us
| ) | `[virtual]`

| Start/restart the manipulator. FIXME: what does this actually mean? Provide examples. Reimplemented from osgGA::MatrixManipulator.

void osgGA::AnimationPathManipulator::setAnimationPath | ( | osg::AnimationPath * | animationPath | ) | `[inline]`

virtual void osgGA::AnimationPathManipulator::setByInverseMatrix | ( | const osg::Matrixd & | matrix | ) | `[inline, virtual]`

| set the position of the matrix manipulator using a 4x4 Matrix. Implements osgGA::MatrixManipulator.

virtual void osgGA::AnimationPathManipulator::setByMatrix | ( | const osg::Matrixd & | matrix | ) | `[inline, virtual]`

| set the position of the matrix manipulator using a 4x4 Matrix. Implements osgGA::MatrixManipulator.

void osgGA::AnimationPathManipulator::setPrintOutTimingInfo | ( | bool | printOutTiminInfo | ) | `[inline]`

bool osgGA::AnimationPathManipulator::valid | ( |  | ) | const`[inline]`

## Member Data Documentation

osg::ref_ptr<osg::AnimationPath> osgGA::AnimationPathManipulator::_animationPath`[protected]`

double osgGA::AnimationPathManipulator::_animStartOfTimedPeriod`[protected]`

bool osgGA::AnimationPathManipulator::_isPaused`[protected]`

osg::Matrixd osgGA::AnimationPathManipulator::_matrix`[protected]`

int osgGA::AnimationPathManipulator::_numOfFramesSinceStartOfTimedPeriod`[protected]`

double osgGA::AnimationPathManipulator::_pauseTime`[protected]`

bool osgGA::AnimationPathManipulator::_printOutTiminInfo`[protected]`

double osgGA::AnimationPathManipulator::_realStartOfTimedPeriod`[protected]`

double osgGA::AnimationPathManipulator::_timeOffset`[protected]`

double osgGA::AnimationPathManipulator::_timeScale`[protected]`

bool osgGA::AnimationPathManipulator::_valid`[protected]`

The documentation for this class was generated from the following file:

- AnimationPathManipulator